<?php
/**
 * The template to display the page title and breadcrumbs
 *
 * @package WordPress
 * @subpackage SOLENG
 * @since SOLENG 1.0
 */

// Page (category, tag, archive, author) title

if ( soleng_need_page_title() ) {
	soleng_sc_layouts_showed('title', true);
	soleng_sc_layouts_showed('postmeta', true);
	?>
	<div class="top_panel_title sc_layouts_row sc_layouts_row_type_normal scheme_dark">
		<div class="sc_layouts_column sc_layouts_column_align_left">
			<div class="sc_layouts_item">
				<div class="sc_layouts_title sc_align_center">
					<?php
					// Post meta on the single post
					if ( is_single() )  {
						?><div class="sc_layouts_title_meta"><?php
							soleng_show_post_meta(apply_filters('soleng_filter_post_meta_args', array(
								'components' => soleng_array_get_keys_by_value(soleng_get_theme_option('meta_parts')),
								'counters' => soleng_array_get_keys_by_value(soleng_get_theme_option('counters')),
								'seo' => soleng_is_on(soleng_get_theme_option('seo_snippets'))
								), 'header', 1)
							);
						?></div><?php
					}
					
					// Blog/Post title
					?><div class="sc_layouts_title_title"><?php
						$soleng_blog_title = soleng_get_blog_title();
						$soleng_blog_title_text = $soleng_blog_title_class = $soleng_blog_title_link = $soleng_blog_title_link_text = '';
						if (is_array($soleng_blog_title)) {
							$soleng_blog_title_text = $soleng_blog_title['text'];
							$soleng_blog_title_class = !empty($soleng_blog_title['class']) ? ' '.$soleng_blog_title['class'] : '';
							$soleng_blog_title_link = !empty($soleng_blog_title['link']) ? $soleng_blog_title['link'] : '';
							$soleng_blog_title_link_text = !empty($soleng_blog_title['link_text']) ? $soleng_blog_title['link_text'] : '';
						} else
							$soleng_blog_title_text = $soleng_blog_title;
						?>
						<h1 itemprop="headline" class="sc_layouts_title_caption<?php echo esc_attr($soleng_blog_title_class); ?>"><?php
							$soleng_top_icon = soleng_get_category_icon();
							if (!empty($soleng_top_icon)) {
								$soleng_attr = soleng_getimagesize($soleng_top_icon);
								?><img src="<?php echo esc_url($soleng_top_icon); ?>" alt="<?php echo esc_html(basename($soleng_top_icon)); ?>" <?php if (!empty($soleng_attr[3])) soleng_show_layout($soleng_attr[3]);?>><?php
							}
							echo wp_kses_data($soleng_blog_title_text);
						?></h1>
						<?php
						if (!empty($soleng_blog_title_link) && !empty($soleng_blog_title_link_text)) {
							?><a href="<?php echo esc_url($soleng_blog_title_link); ?>" class="theme_button theme_button_small sc_layouts_title_link"><?php echo esc_html($soleng_blog_title_link_text); ?></a><?php
						}
						
						// Category/Tag description
						if ( is_category() || is_tag() || is_tax() ) 
							the_archive_description( '<div class="sc_layouts_title_description">', '</div>' );
	
					?></div><?php

					// Breadcrumbs
					?><div class="sc_layouts_title_breadcrumbs"><?php
						do_action( 'soleng_action_breadcrumbs');
					?></div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
?>